Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wms.operation
Class DimensionValues

    java.lang.Object
      org.deegree.ogcwebservices.wms.operation.DimensionValues

    public class DimensionValues

extends Object

`DimensionValues`

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Schmitz, last edited by: $Author: mschneider $

Nested Class Summary
`class` | `DimensionValues.DimensionValue` `DimensionValue`

Field Summary
`LinkedList<DimensionValues.DimensionValue>` | `values` The actual values.

Constructor Summary
`DimensionValues(String val)`

Method Summary
`String` | `getNearestValue(String value)`
`boolean` | `hasMultipleValues()`
`boolean` | `includes(DimensionValues elev)`
`boolean` | `includesValue(float value)`
`boolean` | `includesValue(String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### values

    public LinkedList<DimensionValues.DimensionValue> values

  The actual values.

Constructor Detail

### DimensionValues

    public DimensionValues(String val)

Parameters:
  `val` -

Method Detail

### hasMultipleValues

    public boolean hasMultipleValues()

  Returns:
    if multiple values are contained

### includesValue

    public boolean includesValue(String value)

  Parameters:
    `value` -
  Returns:
    true, if the given single value is contained

### includesValue

    public boolean includesValue(float value)

  Parameters:
    `value` -
  Returns:
    true, if the given single value is contained

### includes

    public boolean includes(DimensionValues elev)

  Parameters:
    `elev` -
  Returns:
    true, if the value(s) are valid

### getNearestValue

    public String getNearestValue(String value)

  Parameters:
    `value` -
  Returns:
    the nearest value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org